﻿// MarioToo WiiMote Container - FLASH MX VERSION
//
// Version 1.0
// Author: Robert Hine <robert_hine@mail.com>
// Contributors/Maintained By: Adam Saltsman <adam@lastchancemedia.com>
//
// Stores the 4 wiimotes and button codes

import com.LCM.mariotoo.FlashMX.WiiMote;

class com.LCM.mariotoo.FlashMX.MarioToo
{
	static public var BUTTON_A:Number = 13;
	static public var BUTTON_MINUS:Number = 170;
	static public var BUTTON_B:Number = 171;
	static public var BUTTON_1:Number = 172;
	static public var BUTTON_2:Number = 173;
	static public var BUTTON_PLUS:Number = 174;
	static public var BUTTON_UP:Number = 175;
	static public var BUTTON_DOWN:Number = 176;
	static public var BUTTON_RIGHT:Number = 177;
	static public var BUTTON_LEFT:Number = 178;	

	static public var WiiMote1:WiiMote;
	static public var WiiMote2:WiiMote;
	static public var WiiMote3:WiiMote;
	static public var WiiMote4:WiiMote;

	static function init()
	{
		WiiMote1 = new WiiMote(1);
		WiiMote2 = new WiiMote(2);
		WiiMote3 = new WiiMote(3);
		WiiMote4 = new WiiMote(4);
	}
	
	static function bindDefaults() //Sets up a simple keyboard binding for single-player games
	{
		WiiMote1.bind(BUTTON_UP,Key.UP);
		WiiMote1.bind(BUTTON_DOWN,Key.DOWN);
		WiiMote1.bind(BUTTON_RIGHT,Key.RIGHT);
		WiiMote1.bind(BUTTON_LEFT,Key.LEFT);
		WiiMote1.bind(BUTTON_1,88); //X
		WiiMote1.bind(BUTTON_2,90); //Z
		WiiMote1.bind(BUTTON_PLUS,Key.SHIFT);
		WiiMote1.bind(BUTTON_MINUS,Key.CONTROL);
	}
} 
